#include <stdio.h>
int main()
{
  int n,i,j,k;
  scanf("%d", &n);
  if (n<=0) printf("-1");
  for (i=1; i<=n; i++)
  { 
 
    for (k=i-1; k>0; k--)
    printf(" ");
    printf("*");
    for(j=i; j<=n-1; j++)
    printf("-*");
    printf("\n");
  } 
  
 return 0; 
}
